Subject: Re: (Fwd) Re: Semantic errors about test1.f & testh.f

From: Zheng Gengbing <[email-masked]>
Date: Fri, 24 May 1996 09:29:34 +0800 (EAT)

On Thu, 23 May 1996, Guansong Zhang wrote:

> You forgot to respond to this letter. I am waiting.
> 
> --- Forwarded mail from <[email-masked]> ("Guansong Zhang")
> 
> From: "Guansong Zhang" <[email-masked]>
> Date: Mon, 20 May 1996 15:08:45 -0400
> To: Zheng Gengbing <[email-masked]>
> Subject: Re: Semantic errors about test1.f & testh.f
> 
> On May 17,  5:12pm, Zheng Gengbing wrote:
> > Subject: Semantic errors about test1.f & testh.f
> > Hi,
> >
> > 	I am trying to explain the semantic errors reported in these 2 files.
> >
> > test1.f
> >
> > in line 1384:
> >  var59 % cmp14 (1 : 3 : 2, : 2 : 1, 2 : : 1, : : 2, 0 : 1, : 2, 2 :) (1 : 2)
> &
> >     & = 'xx'
> >
> > since the reference of cmp14 contains more than one nonzero rank , hpfsc
> > complained.  The constraint is in array section , there must be exactly
> > one part ref has onozero rank.
> >
> 
> Please give me more explanition on this. I don't understand what you mean.
> 

	substring  is parent_string(substring_range)

	parent_string is scalar_variable_name
			 array_element
                         scalar_structure_component 
			...

	I believed that in substring , the parent_string should be a scalar,
not a array .
	But now I am not sure about this . I think this should be a array
section instead of  a  substring . I tend to remove this checking . How about
the f90 compiler of DEC on this ?

***************************************************************************
*     Zheng Gengbin                 *                                     *
*                                   *                                     *
*  Dept. of Computer Science        *  Phone:  86-10-2585088              *
*         & Technology              *  Email:                             *
*                                   *      [email-masked]   *
*  Peking University P.R.China      *  Mail:                              *
*                                   *      Room 1077 ,Building 47,        *
*                                   *      Peking University, P.R.China   *
***************************************************************************